Page MenuHomePhabricator

Upload Wizard progress meter/bar frequently shows "Finished" while uploads still in progress
Open, LowPublic

Description

The upload progress bar appears to have regressed recently; it frequently displays "Finished" while uploads are still in progress.

We should use PHP's upload_progress information once we upgrade to 5.4 ( http://www.php.net/manual/en/session.upload-progress.php ), but we should also investigate fixing recent regressions.


Version: master
Severity: normal

Details

Reference
bz37302

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:24 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz37302.
Eloquence created this task.Jun 2 2012, 1:25 PM

looks like this gerrit change https://gerrit.wikimedia.org/r/#/c/10127/ address this.

I still see "Finished" being displayed before the progress bar has reached 100% on http://test2.wikipedia.org/wiki/Special:UploadWizard (MediaWiki 1.21wmf2 (8efde44)) when uploading a ~500kB image file.
Firefox 16.0.1 on Fedora 16 on wired WMF SF office network.

*** Bug 43007 has been marked as a duplicate of this bug. ***

Merged, but this bug doesn't appear to have been fixed yet.

Patch needs rework.

Change 54127 abandoned by Nischayn22:
GroupProgressBar: Only show status "finished" once

Reason:
Sorry, no longer have time for this :(

https://gerrit.wikimedia.org/r/54127

I think this was fixed recently, with https://gerrit.wikimedia.org/r/145428

Marking as closed.

I don't know if this fix is deployed, but if it is, it is not fixed, it happened to me today.

Created attachment 16428
Fake finish by upload wizard

Attached:

Gilles removed Gilles as the assignee of this task.Dec 2 2014, 9:12 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:14 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 4 2015, 6:14 PM